Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Components to handle access codes.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """UI components for accesscodes.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/catalog.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/catalog.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/catalog.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Cataloging and searching components for access codes.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Interfaces of access code related components.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py	(revision 7195)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## test_accesscode.py
-## Login : <uli@pu.smp.net>
-## Started on  Sun Jun 12 13:07:58 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_catalog.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_catalog.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_catalog.py	(revision 7195)
@@ -1,19 +1,15 @@
-##
-## test_catalog.py
-## Login : <uli@pu.smp.net>
-## Started on  Mon Jun 20 18:39:12 2011 Uli Fouquet
 ## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_workflow.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_workflow.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 import shutil
 import tempfile
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py	(revision 7195)
@@ -1,8 +1,4 @@
+## $Id$
 ##
-## workflow.py
-## Login : <uli@pu.smp.net>
-## Started on  Sat Jun 11 00:35:16 2011 Uli Fouquet
-## $Id$
-## 
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -10,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """ Components to get breadcrumbs for any object.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py	(revision 7195)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## exceptions.py
-## Login : <uli@pu.smp.net>
-## Started on  Sun May 22 18:28:46 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Interfaces for viewing components.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Basic layout components.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7195)
@@ -1,3 +1,19 @@
-# -*- coding: utf-8 -*-
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """ Viewing components for WAeUP objects.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 7195)
@@ -1,19 +1,15 @@
-##
-## resources.py
-## Login : <uli@pu.smp.net>
-## Started on  Fri Mar 11 10:49:59 2011 Uli Fouquet
 ## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_doctests.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_doctests.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_doctests.py	(revision 7195)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## test_doctests.py
-## Login : <uli@pu.smp.net>
-## Started on  Tue Sep 13 10:32:13 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_permissions.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_permissions.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/tests/test_permissions.py	(revision 7195)
@@ -1,9 +1,5 @@
-##
-## test_batching.py
-## Login : <uli@pu.smp.net>
-## Started on  Tue Aug 24 02:04:44 2010 Uli Fouquet
 ## $Id$
 ##
-## Copyright (C) 2010 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py	(revision 7195)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## theming.py
-## Login : <uli@pu.smp.net>
-## Started on  Thu Apr 21 19:50:04 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7195)
@@ -1,6 +1,20 @@
-# -*- coding: utf-8 -*-
-
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 import grok
-
 from zope.component import getMultiAdapter, queryAdapter
 from zope.interface import Interface
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7195)
@@ -1,2 +1,4 @@
+## $Id$
+##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/catalog.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/catalog.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/catalog.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Cataloging and searching components for hostels.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/container.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/container.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/container.py	(revision 7195)
@@ -1,2 +1,4 @@
+## $Id$
+##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/hostel.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/hostel.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/hostel.py	(revision 7195)
@@ -1,2 +1,4 @@
+## $Id$
+##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/interfaces.py	(revision 7195)
@@ -1,4 +1,19 @@
-##
-## interfaces.py
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 from zope.interface import Attribute, invariant, Invalid
 from zope import schema
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/permissions.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/permissions.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/permissions.py	(revision 7195)
@@ -1,2 +1,4 @@
+## $Id$
+##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/tests.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/tests.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/tests.py	(revision 7195)
@@ -1,2 +1,4 @@
+## $Id$
+##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -4,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/hostels/vocabularies.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Vocabularies and sources for the accommodation section.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/container.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/container.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/container.py	(revision 7195)
@@ -1,2 +1,4 @@
+## $Id$
+##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py	(revision 7195)
@@ -1,4 +1,19 @@
+## $Id$
 ##
-## interfaces.py
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 from zope.interface import Attribute
 from zope import schema
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/payment.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/payment.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/payment.py	(revision 7195)
@@ -1,2 +1,4 @@
+## $Id$
+##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/tests.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/tests.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/tests.py	(revision 7195)
@@ -1,2 +1,4 @@
+## $Id$
+##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -4,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Vocabularies and sources for payments.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/batching.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/batching.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/batching.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Batch processing components for academics objects.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/catalog.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/catalog.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/catalog.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Catalog and searching components for academics stuff.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """WAeUP portal certificates
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/certificatecontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/certificatecontainer.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/certificatecontainer.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Containers for certificates.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/course.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/course.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/course.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Courses.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/coursecontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/coursecontainer.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/coursecontainer.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Course containers.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/department.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/department.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/department.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """University departments.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/faculty.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/faculty.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/faculty.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Faculty components.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/facultycontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/facultycontainer.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/facultycontainer.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 import grok
 from zope.component.interfaces import IFactory
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Interfaces of academics specific objects.
 """
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_batching.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_batching.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_batching.py	(revision 7195)
@@ -1,2 +1,20 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
 # Tests for university related batching
 import unittest
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_certificatecontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_certificatecontainer.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_certificatecontainer.py	(revision 7195)
@@ -1,19 +1,15 @@
+## $Id$
 ##
-## test_certificatecontainer.py
-## Login : <uli@pu.smp.net>
-## Started on  Sun May 29 02:21:16 2011 Uli Fouquet
-## $Id$
-## 
-## Copyright (C) 2011 Uli Fouquet
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_coursecontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_coursecontainer.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_coursecontainer.py	(revision 7195)
@@ -1,2 +1,20 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
 # Test course containers
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_faculty.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_faculty.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_faculty.py	(revision 7195)
@@ -1,2 +1,20 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
 # Test faculties
 import tempfile
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_facultycontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_facultycontainer.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_facultycontainer.py	(revision 7195)
@@ -1,2 +1,20 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
 # Tests for FacultyContainer.
 import logging
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_university.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_university.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_university.py	(revision 7195)
@@ -1,2 +1,20 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
 # Test the public API part of the university subpackage
 import unittest
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py	(revision 7194)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py	(revision 7195)
@@ -1,2 +1,19 @@
+## $Id$
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
 """Vocabularies and sources for the academics section.
 """
